[FFe] TestDrive New Upstream Release 3.0

Bug #619325 reported by Andres Rodriguez
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
testdrive (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: testdrive

There is a new upstream release of TestDrive, 3.0. This new upstream release now contains the testdrive-gtk package which installs the 'TestDrive PyGTK Frontend'. This Front-end is part of my my Google Summer of Code 2010 project for Ubuntu.

Changes since las Ubuntu Release (which are mainly related to the Front-end are, and are tracked in the debian/changelog) are:

testdrive (3.0-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #619325)

 -- Andres Rodriguez <email address hidden> Tue, 17 Aug 2010 11:33:50 -0500

testdrive (2.9-0ubuntu1) maverick; urgency=low

  * testdrive-cli: Add internationalization support.
  * testdrive-gtk: Change gettext textdomain to testdrive.
  * Create single .pot file and drop unncessary files.
    - po/{POTFILES.in,ca.po,testdrivegtk.pot}: Dropped.
    - po/testdrive.pot: Updated with all translation strings.

 -- Andres Rodriguez <email address hidden> Fri, 06 Aug 2010 17:19:07 -0400

testdrive (2.8-0ubuntu1) maverick; urgency=low

  * testdrive-gtk:
    - Code cleanup in preparation to release it to maverick.
    - UI Improvements; and minor bugfixes.
    - Add Internationalization to strings in the code.
    - Update testdrivegtk.pot file.
    - Add Button to force update of the ISO list cache if required, plus
      related UI improvements.
    - Fix typo in preferences and update .pot file accordingly.
    - Minor code improvements.
    - Add internationalization support to some strings missing it; update
      .pot file for such purpose. (LP: #613770)
    - Disable wget as a sync protocol for now.
    - Display progress while downloading an ISO.
  * debian/testdrive-common.install: Install only *.py virt files.

 -- Andres Rodriguez <email address hidden> Fri, 06 Aug 2010 15:15:45 -0400

testdrive (2.7-0ubuntu1) maverick; urgency=low

  * Reorganize the source in preparation to merge testdrive-gtk with it.
  * Merge testdrive-gtk source into testdrive's source.
  * Packaging changes to install testdrive-gtk:
    - debian/control:
      + testdrive package now only recommends testdrive-{gtk,cli}.
      + Add testdrive-cli package, comes from previous testdrive package.
      + Add testdrive-gtk binary package.
      + testdrive-{gtk,cli} common dependencies moved to testdrive-common.
    - debian/testdrive-{gtk,cli}.install: Added.
    - debian/rules: Switch to dh 7.
    - debian/copyright: Add myself to Authors.
  * data/media/icon.png: Override with one with better quality.
  * testdrive-gtk:
    - Add support for Notifications, however not displaying any yet.
    - Update the ISO cache of each Repository at launch.
  * debian/testdrive-{common,gtk}.install: Install missing files.
  * debian/control: Improve descriptions.

 -- Andres Rodriguez <email address hidden> Sun, 01 Aug 2010 19:01:30 -0400

Build logs can be found at:
http://launchpadlibrarian.net/53877198/buildlog_ubuntu-maverick-i386.testdrive_3.0-0ubuntu1_FULLYBUILT.txt.gz

Installation from PPAs:

sudo apt-get install testdrive
[sudo] password for roaksoax:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  testdrive-cli testdrive-common testdrive-gtk
The following NEW packages will be installed:
  testdrive testdrive-cli testdrive-common testdrive-gtk
0 upgraded, 4 newly installed, 0 to remove and 132 not upgraded.
Need to get 193kB of archives.
After this operation, 705kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://ppa.launchpad.net/testdrive/ppa/ubuntu/ maverick/main testdrive all 3.0-0ubuntu1 [8,658B]
Get:2 http://ppa.launchpad.net/testdrive/ppa/ubuntu/ maverick/main testdrive-common all 3.0-0ubuntu1 [16.4kB]
Get:3 http://ppa.launchpad.net/testdrive/ppa/ubuntu/ maverick/main testdrive-cli all 3.0-0ubuntu1 [14.7kB]
Get:4 http://ppa.launchpad.net/testdrive/ppa/ubuntu/ maverick/main testdrive-gtk all 3.0-0ubuntu1 [153kB]
Fetched 193kB in 2s (68.1kB/s)
Selecting previously deselected package testdrive.
(Reading database ... 233239 files and directories currently installed.)
Unpacking testdrive (from .../testdrive_3.0-0ubuntu1_all.deb) ...
Selecting previously deselected package testdrive-common.
Unpacking testdrive-common (from .../testdrive-common_3.0-0ubuntu1_all.deb) ...
Selecting previously deselected package testdrive-cli.
Unpacking testdrive-cli (from .../testdrive-cli_3.0-0ubuntu1_all.deb) ...
Selecting previously deselected package testdrive-gtk.
Unpacking testdrive-gtk (from .../testdrive-gtk_3.0-0ubuntu1_all.deb) ...
Processing triggers for man-db ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Processing triggers for desktop-file-utils ...
Processing triggers for python-support ...
Setting up testdrive (3.0-0ubuntu1) ...
Setting up testdrive-common (3.0-0ubuntu1) ...
Setting up testdrive-cli (3.0-0ubuntu1) ...
Setting up testdrive-gtk (3.0-0ubuntu1) ...

Changed in testdrive (Ubuntu):
assignee: nobody → Andres Rodriguez (andreserl)
importance: Undecided → Wishlist
status: New → In Progress
description: updated
Changed in testdrive (Ubuntu):
status: In Progress → New
assignee: Andres Rodriguez (andreserl) → nobody
Revision history for this message
Dustin Kirkland  (kirkland) wrote :

Big +1 from me. I have been mentoring Andres for this, his GSoC project, and he's done an excellent job with it. Me, and dozens of others, have been tracking his releases in the testdrive PPA. This code should be accepted to Maverick ASAP.

Revision history for this message
Scott Kitterman (kitterman) wrote :

Ack. Approved.

Changed in testdrive (Ubuntu):
status: New → Confirmed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package testdrive - 3.0-0ubuntu1

---------------
testdrive (3.0-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #619325)
 -- Andres Rodriguez <email address hidden> Tue, 17 Aug 2010 11:28:36 -0500

Changed in testdrive (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers